# Digital Marketing & SEO Expert Portfolio

A modern, responsive portfolio website showcasing digital marketing and SEO expertise. Built with Flask and modern web technologies.

## Features

- Responsive design that works on all devices
- Dynamic blog section (coming soon with social media integration)
- Contact form
- Modern UI with smooth animations
- SEO optimized

## Installation

### Option 1: Install from PyPI (Recommended)

```bash
pip install digital-marketing-portfolio
```

### Option 2: Install from Source

1. Clone the repository:
```bash
git clone https://github.com/thadigitalguru/static-website.git
cd static-website
```

2. Create and activate a virtual environment (recommended):
```bash
# Windows
python -m venv venv
.\venv\Scripts\activate

# Linux/Mac
python3 -m venv venv
source venv/bin/activate
```

3. Install dependencies:
```bash
pip install -r requirements.txt
```

## Running the Site

### Option 1: Using the Installed Package

After installation, you can run the site using:

```bash
digital-portfolio
```

### Option 2: Running from Source

1. Start the Flask development server:
```bash
python src/app.py
```

2. Access the site:
- Local: http://localhost:5000
- Network: http://YOUR_IP_ADDRESS:5000

## Project Structure

```
static-website/
├── src/
│   ├── __init__.py         # Package initialization
│   ├── app.py              # Flask application
│   ├── templates/          # HTML templates
│   └── static/             # Static files (CSS, JS, images)
├── setup.py                # Package setup file
├── MANIFEST.in            # Package manifest
├── requirements.txt        # Python dependencies
└── README.md              # This file
```

## Development

- The site uses Flask for the backend
- Frontend is built with vanilla JavaScript and modern CSS
- Blog posts are currently static (social media integration coming soon)

## Contributing

1. Fork the repository
2. Create your feature branch (`git checkout -b feature/AmazingFeature`)
3. Commit your changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

## License

This project is licensed under the MIT License - see the LICENSE file for details.

## Contact

Titus Kores - [@thadigitalguru](https://x.com/thadigitalguru) - [LinkedIn](https://www.linkedin.com/in/titus-kores-610201200/) 